Method: partners.subscriptions.suspend

Suspends a subscription. Contract terms may dictate if a prorated refund will be issued upon suspension. It should be called directly by the partner using service accounts.

HTTP request

POST https://paymentsresellersubscription.googleapis.com/v1/{name=partners/*/subscriptions/*}:suspend

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the subscription resource to be suspended. It will have the format of "partners/{partner_id}/subscriptions/{subscriptionId}"

Request body

The request body contains data with the following structure:

JSON representation
{
  "suspendMode": enum (SuspendMode)
}
Fields
suspendMode

enum (SuspendMode)

Optional. The mode to suspend the subscription. It's required for partners to specify the suspend mode, whether suspend immediately and indefinitely, or cancel the subscription after grace_period_millis or auto_cancel_duration_millis if it's not resumed.

Response body

Response that contains the suspended subscription.

If successful, the response body contains data with the following structure:

JSON representation
{
  "subscription": {
    object (Subscription)
  }
}
Fields
subscription

object (Subscription)

The suspended subscription resource.

SuspendMode

The mode to suspend the subscription.

Enums
SUSPEND_MODE_UNSPECIFIED The default value. Suspend the subscription, and the subscription will stay suspended indefinitely.
SUSPEND_MODE_CANCEL_AFTER_GRACE_PERIOD Suspend the subscription, and the subscription will be auto cancelled after the grace period. Contract terms dictate how long the grace period is.
SUSPEND_MODE_CANCEL_AFTER_RETENTION_PERIOD Suspend the subscription, and the subscription will be auto cancelled after the retention period. Contract terms dictate how long the retention period is.